/**
 * @file
 * Javascript functionality for component tab content.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentTabContent = Drupal.componentTabContent || {};
  Drupal.behaviors.tab_content = {
    attach: function (context) {
      Drupal.componentTabContent.tab_content(context);
    }
  }
  Drupal.componentTabContent.tab_content = function (context) {
    const $tab_content =  $('.component-wrapper--type-tabs', context).once('tabsItems');
    if ($tab_content.length > 0) {
      $tab_content.each(function () {
        const $this = $(this);
        $this.find('.field--name-field-tabs').addClass('row');
        const $get_class_column = $('.component-wrapper--type-tabs').attr('tab-content-columns');
        $this.find('.field--name-field-tabs > div').addClass($get_class_column);
        $this.find('fieldset').prepend('<div class="bg-tab-hover"></div>');
      })
    }
  }

})(jQuery, Drupal);
