<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\Annotation\ComponentBuilder;
use Drupal\component_builder\ComponentBuilderBase;

/**
 * Provides 'Slideshow Flexible' component.
 *
 * @ComponentBuilder(
 *   id = "slideshow_flexible",
 *   label = @Translation("Slideshow Flexible"),
 *   group = @Translation("General components"),
 *   template = "slideshow_flexible"
 * )
 */
class SlideshowFlexible extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath(): string {
    return $this->getComponentPath() . '/templates';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(): array {
    return [
      'css' => [
        'theme' => [
          'components/component_slideshow_flexible/assets/style.css' => [],
        ],
      ],
      'js' => [
        'components/component_slideshow_flexible/assets/style.js' => [],
      ],
      "version" => "VERSION",
    ];
  }

}
